<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">  
    <!-- 
        Myron Papadakis
        Transformation Services Laboratory 
    -->
    <xsl:variable name="space"><xsl:text> </xsl:text></xsl:variable>
    <xsl:template match="/">
        <html>
            <body>
                <h2>Bookstore Lab 12</h2>
                <table xsl:use-attribute-sets="set_table">
                    <tr>
                        <th>AuthorName</th>
                        <th>AuthorSurname</th>
                        <th>Title</th>
                        <th>Price</th>
                        <th>Year</th> 
                        <th>isExpensive?</th> 
                    </tr>
                    <xsl:for-each select="//book[contains(title,'XML')]"> 
                        <xsl:sort select="price" order="descending" data-type="number"/>                        
                        <tr>      
                            <td><xsl:value-of select="substring-before(author, ',')" /> </td>                               
                            <td> <xsl:value-of select="substring-after(author, ',')"/> </td>                                             
                            <td><xsl:value-of select="title" /></td>                         
                            <td><xsl:value-of select="concat(price,$space,price/@unit)"></xsl:value-of></td>     
                            <td><xsl:value-of select="year"/></td>                           
                            
                            <!-- Price > 70     : Expensive
                                Price 50-69     : Fair
                                Price <= 50     : Cheap-->
                            <xsl:choose>
                                <xsl:when test="price >= 70">
                                    <td bgcolor="red">Expensive</td>
                                </xsl:when>
                                
                                <xsl:when test="price&gt;50 and price&lt;70">
                                    <td bgcolor="yellow"> Fair </td>
                                </xsl:when>
                                
                                <xsl:otherwise>
                                    <td bgcolor="green"> Cheap </td>
                                </xsl:otherwise>
                            </xsl:choose>     
                        </tr>
                        
                    </xsl:for-each> 
                </table>
            </body>
        </html>
    </xsl:template>
    
    <xsl:attribute-set name="set_table">
        <xsl:attribute name="bgcolor">snow</xsl:attribute>
        <xsl:attribute name="border">3</xsl:attribute>
        <xsl:attribute name="cellpadding">15</xsl:attribute>
        <xsl:attribute name="cellspacing">10</xsl:attribute>
    </xsl:attribute-set>
       
</xsl:stylesheet>